## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ManagedBeanTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ManagedBeanTypeImpl

All Implemented Interfaces:
  ManagedBeanType

    public class ManagedBeanTypeImpl

extends EObjectImpl
implements ManagedBeanType

An implementation of the model object 'Managed Bean Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Managed Bean Name`
- `Managed Bean Class`
- `Managed Bean Scope`
- `Managed Property`
- `Map Entries`
- `List Entries`
- `Managed Bean Extension`
- `Id`
- `Eager`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetListEntries(ListEntriesType newListEntries, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBeanClass(ManagedBeanClassType newManagedBeanClass, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBeanName(ManagedBeanNameType newManagedBeanName, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBeanScope(ManagedBeanScopeType newManagedBeanScope, NotificationChain msgs)`
`NotificationChain` `basicSetMapEntries(MapEntriesType newMapEntries, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`ListEntriesType` `getListEntries()`
`ManagedBeanClassType` `getManagedBeanClass()`
`EList` `getManagedBeanExtension()`
`ManagedBeanNameType` `getManagedBeanName()`
`ManagedBeanScopeType` `getManagedBeanScope()`
`EList` `getManagedProperty()`
`MapEntriesType` `getMapEntries()`
`boolean` `isEager()`
`void` `setEager(boolean newEager)`
`void` `setId(java.lang.String newId)`
`void` `setListEntries(ListEntriesType newListEntries)`
`void` `setManagedBeanClass(ManagedBeanClassType newManagedBeanClass)`
`void` `setManagedBeanName(ManagedBeanNameType newManagedBeanName)`
`void` `setManagedBeanScope(ManagedBeanScopeType newManagedBeanScope)`
`void` `setMapEntries(MapEntriesType newMapEntries)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ManagedBeanType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ManagedBeanType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ManagedBeanType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_Icon()`

### getManagedBeanName

    public ManagedBeanNameType getManagedBeanName()

  Specified by:
    `getManagedBeanName` in interface `ManagedBeanType`
  Returns:
    the value of the 'Managed Bean Name' containment reference.
  See Also:
    `ManagedBeanType.setManagedBeanName(ManagedBeanNameType)`, `FacesConfigPackage.getManagedBeanType_ManagedBeanName()`

### basicSetManagedBeanName

    public NotificationChain basicSetManagedBeanName(ManagedBeanNameType newManagedBeanName,
                                                     NotificationChain msgs)

  Parameters:
    `newManagedBeanName` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBeanName

    public void setManagedBeanName(ManagedBeanNameType newManagedBeanName)

  Specified by:
    `setManagedBeanName` in interface `ManagedBeanType`
  Parameters:
    `newManagedBeanName` - the new value of the 'Managed Bean Name' containment reference.
  See Also:
    `ManagedBeanType.getManagedBeanName()`

### getManagedBeanClass

    public ManagedBeanClassType getManagedBeanClass()

  Specified by:
    `getManagedBeanClass` in interface `ManagedBeanType`
  Returns:
    the value of the 'Managed Bean Class' containment reference.
  See Also:
    `ManagedBeanType.setManagedBeanClass(ManagedBeanClassType)`, `FacesConfigPackage.getManagedBeanType_ManagedBeanClass()`

### basicSetManagedBeanClass

    public NotificationChain basicSetManagedBeanClass(ManagedBeanClassType newManagedBeanClass,
                                                      NotificationChain msgs)

  Parameters:
    `newManagedBeanClass` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBeanClass

    public void setManagedBeanClass(ManagedBeanClassType newManagedBeanClass)

  Specified by:
    `setManagedBeanClass` in interface `ManagedBeanType`
  Parameters:
    `newManagedBeanClass` - the new value of the 'Managed Bean Class' containment reference.
  See Also:
    `ManagedBeanType.getManagedBeanClass()`

### getManagedBeanScope

    public ManagedBeanScopeType getManagedBeanScope()

  Specified by:
    `getManagedBeanScope` in interface `ManagedBeanType`
  Returns:
    the value of the 'Managed Bean Scope' containment reference.
  See Also:
    `ManagedBeanType.setManagedBeanScope(ManagedBeanScopeType)`, `FacesConfigPackage.getManagedBeanType_ManagedBeanScope()`

### basicSetManagedBeanScope

    public NotificationChain basicSetManagedBeanScope(ManagedBeanScopeType newManagedBeanScope,
                                                      NotificationChain msgs)

  Parameters:
    `newManagedBeanScope` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBeanScope

    public void setManagedBeanScope(ManagedBeanScopeType newManagedBeanScope)

  Specified by:
    `setManagedBeanScope` in interface `ManagedBeanType`
  Parameters:
    `newManagedBeanScope` - the new value of the 'Managed Bean Scope' containment reference.
  See Also:
    `ManagedBeanType.getManagedBeanScope()`

### getManagedProperty

    public EList getManagedProperty()

  Specified by:
    `getManagedProperty` in interface `ManagedBeanType`
  Returns:
    the value of the 'Managed Property' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_ManagedProperty()`

### getMapEntries

    public MapEntriesType getMapEntries()

  Specified by:
    `getMapEntries` in interface `ManagedBeanType`
  Returns:
    the value of the 'Map Entries' containment reference.
  See Also:
    `ManagedBeanType.setMapEntries(MapEntriesType)`, `FacesConfigPackage.getManagedBeanType_MapEntries()`

### basicSetMapEntries

    public NotificationChain basicSetMapEntries(MapEntriesType newMapEntries,
                                                NotificationChain msgs)

  Parameters:
    `newMapEntries` -
    `msgs` -
  Returns:
    the notification chain

### setMapEntries

    public void setMapEntries(MapEntriesType newMapEntries)

  Specified by:
    `setMapEntries` in interface `ManagedBeanType`
  Parameters:
    `newMapEntries` - the new value of the 'Map Entries' containment reference.
  See Also:
    `ManagedBeanType.getMapEntries()`

### getListEntries

    public ListEntriesType getListEntries()

  Specified by:
    `getListEntries` in interface `ManagedBeanType`
  Returns:
    the value of the 'List Entries' containment reference.
  See Also:
    `ManagedBeanType.setListEntries(ListEntriesType)`, `FacesConfigPackage.getManagedBeanType_ListEntries()`

### basicSetListEntries

    public NotificationChain basicSetListEntries(ListEntriesType newListEntries,
                                                 NotificationChain msgs)

  Parameters:
    `newListEntries` -
    `msgs` -
  Returns:
    the notification chain

### setListEntries

    public void setListEntries(ListEntriesType newListEntries)

  Specified by:
    `setListEntries` in interface `ManagedBeanType`
  Parameters:
    `newListEntries` - the new value of the 'List Entries' containment reference.
  See Also:
    `ManagedBeanType.getListEntries()`

### getManagedBeanExtension

    public EList getManagedBeanExtension()

  Specified by:
    `getManagedBeanExtension` in interface `ManagedBeanType`
  Returns:
    the value of the 'Managed Bean Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_ManagedBeanExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ManagedBeanType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ManagedBeanType.setId(String)`, `FacesConfigPackage.getManagedBeanType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ManagedBeanType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ManagedBeanType.getId()`

### isEager

    public boolean isEager()

  Specified by:
    `isEager` in interface `ManagedBeanType`
  Returns:
    the value of the 'Eager' attribute.
  See Also:
    `ManagedBeanType.setEager(boolean)`, `FacesConfigPackage.getManagedBeanType_Eager()`

### setEager

    public void setEager(boolean newEager)

  Specified by:
    `setEager` in interface `ManagedBeanType`
  Parameters:
    `newEager` - the new value of the 'Eager' attribute.
  See Also:
    `ManagedBeanType.isEager()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()